summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-ruby/rdoc
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-ruby/rdoc')
-rw-r--r--dev-ruby/rdoc/Manifest2
-rw-r--r--dev-ruby/rdoc/files/rdoc-3.0.1-bin-require.patch20
-rw-r--r--dev-ruby/rdoc/files/rdoc-fix-hash-ordering-tests.patch88
-rw-r--r--dev-ruby/rdoc/metadata.xml9
-rw-r--r--dev-ruby/rdoc/rdoc-4.0.1-r1.ebuild95
-rw-r--r--dev-ruby/rdoc/rdoc-4.0.1-r2.ebuild91
-rw-r--r--dev-ruby/rdoc/rdoc-4.1.2-r1.ebuild92
-rw-r--r--dev-ruby/rdoc/rdoc-4.1.2.ebuild95
8 files changed, 492 insertions, 0 deletions
diff --git a/dev-ruby/rdoc/Manifest b/dev-ruby/rdoc/Manifest
new file mode 100644
index 00000000000..bbbed6a1146
--- /dev/null
+++ b/dev-ruby/rdoc/Manifest
@@ -0,0 +1,2 @@
+DIST rdoc-4.0.1.gem 467456 SHA256 b712d56c266a8568362bbebcdc385b102b1494ceea099161c71e02f420d716ba SHA512 11cf6e1700598bd7c414f3ed9d7b75f73bf0f053eb2754d2652bb628e6e47c171646fb420d7b7ee4b589da43fb4b638bc9a2b151ec348c0a20ebaf10f58438c9 WHIRLPOOL 471cd451fd4bc947ad4a29802d66182a21079d444963bb3006fb065175285c71351bfb75c1aaf3d5778e5554c9b5562281037ec38df1c0b159e60dfa368016fd
+DIST rdoc-4.1.2.gem 729600 SHA256 8623c640083f0e06085636a6a719cac993dcccceba5f3f7344ed14c35b941033 SHA512 e2a369cf4cba1ef0e1429bc0ea5a288011559c37f8a1a82de00bb4a423f57799d6b05ec2110209528f17cbfb4eb437cf569a13698f509ad5f17bd1f4cc8939f7 WHIRLPOOL 5e4b7f95d3380e0fcc1ba3ce54dcd91cadb0dd8538651332adb19c873dbb12de3e82b2cd0fffdfab3e2223559627e67642b7d242196416af1dbef269e8d96bca
diff --git a/dev-ruby/rdoc/files/rdoc-3.0.1-bin-require.patch b/dev-ruby/rdoc/files/rdoc-3.0.1-bin-require.patch
new file mode 100644
index 00000000000..5159125c85f
--- /dev/null
+++ b/dev-ruby/rdoc/files/rdoc-3.0.1-bin-require.patch
@@ -0,0 +1,20 @@
+Make sure the right version of the code is loaded. Without this the
+rdoc version bundled with ruby is always loaded instead. Reported
+upstream but won't be fixed because rubygems has slightly different
+behavior.
+
+http://rubyforge.org/tracker/index.php?func=detail&aid=28758&group_id=627&atid=2472
+
+
+Index: trunk/bin/rdoc
+===================================================================
+--- trunk/bin/rdoc (revision 650)
++++ trunk/bin/rdoc (working copy)
+@@ -8,6 +8,7 @@
+ #
+ # $Revision: 1.1 $
+
++$:.unshift(File.dirname(__FILE__) + '/../lib') unless $:.include?(File.dirname(__FILE__) + '/../lib')
+ require 'rdoc/rdoc'
+
+ begin
diff --git a/dev-ruby/rdoc/files/rdoc-fix-hash-ordering-tests.patch b/dev-ruby/rdoc/files/rdoc-fix-hash-ordering-tests.patch
new file mode 100644
index 00000000000..95adfd1df31
--- /dev/null
+++ b/dev-ruby/rdoc/files/rdoc-fix-hash-ordering-tests.patch
@@ -0,0 +1,88 @@
+commit 2d606b3ca1378edf1c42ad58877c9bdaabf79480
+Author: Eric Hodel <drbrain@segment7.net>
+Date: Sun Mar 11 18:00:21 2012 -0700
+
+ Fix hash-order-dependent tests
+
+diff --git a/lib/rdoc/ri/driver.rb b/lib/rdoc/ri/driver.rb
+index a3ca813..149a808 100644
+--- a/lib/rdoc/ri/driver.rb
++++ b/lib/rdoc/ri/driver.rb
+@@ -723,7 +723,7 @@ Options may also be set in the 'RI' environment variable.
+ page do |io|
+ io.puts "#{name} not found, maybe you meant:"
+ io.puts
+- io.puts matches.join("\n")
++ io.puts matches.sort.join("\n")
+ end
+
+ false
+diff --git a/test/test_rdoc_context.rb b/test/test_rdoc_context.rb
+index 192a287..52f579c 100644
+--- a/test/test_rdoc_context.rb
++++ b/test/test_rdoc_context.rb
+@@ -340,7 +340,7 @@ class TestRDocContext < XrefTestCase
+
+ def test_classes
+ assert_equal %w[C2::C3], @c2.classes.map { |k| k.full_name }
+- assert_equal %w[C3::H1 C3::H2], @c3.classes.map { |k| k.full_name }
++ assert_equal %w[C3::H1 C3::H2], @c3.classes.map { |k| k.full_name }.sort
+ end
+
+ def test_current_section
+diff --git a/test/test_rdoc_parser_ruby.rb b/test/test_rdoc_parser_ruby.rb
+index 1ff6f4d..18964f9 100644
+--- a/test/test_rdoc_parser_ruby.rb
++++ b/test/test_rdoc_parser_ruby.rb
+@@ -701,7 +701,7 @@ end
+
+ @parser.parse_class @top_level, false, @parser.get_tk, @comment
+
+- assert_equal %w[A B], RDoc::TopLevel.classes.map { |c| c.full_name }
++ assert_equal %w[A B], RDoc::TopLevel.classes.map { |c| c.full_name }.sort
+ end
+
+ def test_parse_class_single
+@@ -720,10 +720,12 @@ end
+
+ @parser.parse_class @top_level, false, @parser.get_tk, @comment
+
+- assert_equal %w[A], RDoc::TopLevel.classes.map { |c| c.full_name }
+- assert_equal %w[A::B A::d], RDoc::TopLevel.modules.map { |c| c.full_name }
++ assert_equal %w[A], RDoc::TopLevel.classes.map { |c| c.full_name }
+
+- b = RDoc::TopLevel.modules.first
++ modules = RDoc::TopLevel.modules.sort_by { |c| c.full_name }
++ assert_equal %w[A::B A::d], modules.map { |c| c.full_name }
++
++ b = modules.first
+ assert_equal 10, b.offset
+ assert_equal 2, b.line
+
+@@ -1851,10 +1853,10 @@ end
+
+ @parser.parse_statements @top_level
+
+- date, date_time = @top_level.classes
++ date, date_time = @top_level.classes.sort_by { |c| c.full_name }
+
+ date_now = date.method_list.first
+- date_time_now = date_time.method_list.first
++ date_time_now = date_time.method_list.sort_by { |m| m.full_name }.first
+
+ assert_equal :private, date_now.visibility
+ assert_equal :public, date_time_now.visibility
+@@ -1876,10 +1878,11 @@ end
+
+ @parser.parse_statements @top_level
+
+- date, date_time = @top_level.classes
++ # TODO sort classes by default
++ date, date_time = @top_level.classes.sort_by { |c| c.full_name }
+
+ date_now = date.method_list.first
+- date_time_now = date_time.method_list.first
++ date_time_now = date_time.method_list.sort_by { |m| m.full_name }.first
+
+ assert_equal :public, date_now.visibility, date_now.full_name
+ assert_equal :private, date_time_now.visibility, date_time_now.full_name
diff --git a/dev-ruby/rdoc/metadata.xml b/dev-ruby/rdoc/metadata.xml
new file mode 100644
index 00000000000..b3c153f4cf6
--- /dev/null
+++ b/dev-ruby/rdoc/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>ruby</herd>
+ <upstream>
+ <remote-id type="rubyforge">rdoc</remote-id>
+ <remote-id type="github">rdoc/rdoc</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-ruby/rdoc/rdoc-4.0.1-r1.ebuild b/dev-ruby/rdoc/rdoc-4.0.1-r1.ebuild
new file mode 100644
index 00000000000..b80b193bf8b
--- /dev/null
+++ b/dev-ruby/rdoc/rdoc-4.0.1-r1.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc RI.rdoc TODO.rdoc"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem eutils
+
+DESCRIPTION="An extended version of the RDoc library from Ruby 1.8"
+HOMEPAGE="https://github.com/rdoc/rdoc/"
+
+LICENSE="Ruby MIT"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "
+ dev-ruby/racc
+ test? (
+ virtual/ruby-minitest
+ )"
+
+ruby_add_rdepend "=dev-ruby/json-1* >=dev-ruby/json-1.4"
+
+# This ebuild replaces rdoc in ruby-1.9.2 and later.
+# ruby 1.8.6 is no longer supported.
+RDEPEND="${RDEPEND}
+ ruby_targets_ruby19? (
+ >=dev-lang/ruby-1.9.2:1.9
+ )"
+
+all_ruby_prepare() {
+ # Other packages also have use for a nonexistent directory, bug 321059
+ sed -i -e 's#/nonexistent#/nonexistent_rdoc_tests#g' test/test_rdoc*.rb || die
+
+ # Remove unavailable and unneeded isolate plugin for Hoe
+ sed -i -e '/isolate/d' Rakefile || die
+
+ # Remove licenses line from Hoe definitions so we also use older versions.
+ sed -i -e '/licenses/ s:^:#:' Rakefile || die
+
+ epatch "${FILESDIR}/${PN}-3.0.1-bin-require.patch"
+
+ # Remove test that is depending on the locale, which we can't garantuee.
+ sed -i -e '/def test_encode_with/,/^ end/ s:^:#:' test/test_rdoc_options.rb || die
+
+ # Remove test depending on FEATURES=userpriv, bug 361959
+ sed -i -e '/def test_check_files/,/^ end/ s:^:#:' test/test_rdoc_options.rb || die
+
+ # Avoid the generate rule since it doesn't work on jruby, see below.
+ sed -i -e '/:generate/d' Rakefile || die
+}
+
+all_ruby_compile() {
+ all_fakegem_compile
+
+ if use doc ; then
+ ruby -Ilib -S bin/rdoc || die
+ fi
+}
+
+each_ruby_compile() {
+ # Generate the file inline here since the Rakefile confuses jruby
+ # into a circular dependency.
+ for file in lib/rdoc/rd/block_parser lib/rdoc/rd/inline_parser ; do
+ ${RUBY} -S racc -l -o ${file}.rb ${file}.ry || die
+ done
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib -S testrb test/test_*.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ for bin in rdoc ri; do
+ ruby_fakegem_binwrapper $bin /usr/bin/$bin-2
+
+ for version in 19 20; do
+ if use ruby_targets_ruby${version}; then
+ ruby_fakegem_binwrapper $bin /usr/bin/${bin}${version}
+ sed -i -e "1s/env ruby/ruby${version}/" \
+ "${ED}/usr/bin/${bin}${version}" || die
+ fi
+ done
+ done
+}
diff --git a/dev-ruby/rdoc/rdoc-4.0.1-r2.ebuild b/dev-ruby/rdoc/rdoc-4.0.1-r2.ebuild
new file mode 100644
index 00000000000..f1edc1bf015
--- /dev/null
+++ b/dev-ruby/rdoc/rdoc-4.0.1-r2.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc RI.rdoc TODO.rdoc"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem eutils
+
+DESCRIPTION="An extended version of the RDoc library from Ruby 1.8"
+HOMEPAGE="https://github.com/rdoc/rdoc/"
+
+LICENSE="Ruby MIT"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ~hppa ~ia64 ~mips ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "
+ dev-ruby/racc
+ test? (
+ >=dev-ruby/minitest-4:0
+ )"
+
+ruby_add_rdepend "=dev-ruby/json-1* >=dev-ruby/json-1.4"
+
+all_ruby_prepare() {
+ # Other packages also have use for a nonexistent directory, bug 321059
+ sed -i -e 's#/nonexistent#/nonexistent_rdoc_tests#g' test/test_rdoc*.rb || die
+
+ # Remove unavailable and unneeded isolate plugin for Hoe
+ sed -i -e '/isolate/d' Rakefile || die
+
+ # Remove licenses line from Hoe definitions so we also use older versions.
+ sed -i -e '/licenses/ s:^:#:' Rakefile || die
+
+ epatch "${FILESDIR}/${PN}-3.0.1-bin-require.patch"
+
+ # Remove test that is depending on the locale, which we can't garantuee.
+ sed -i -e '/def test_encode_with/,/^ end/ s:^:#:' test/test_rdoc_options.rb || die
+
+ # Remove test depending on FEATURES=userpriv, bug 361959
+ sed -i -e '/def test_check_files/,/^ end/ s:^:#:' test/test_rdoc_options.rb || die
+
+ # Avoid the generate rule since it doesn't work on jruby, see below.
+ sed -i -e '/:generate/d' Rakefile || die
+
+ # Make sure we get the expected version of minitest.
+ echo 'gem "minitest", "~> 4.0"' > test/test_0000.rb || die
+}
+
+all_ruby_compile() {
+ all_fakegem_compile
+
+ if use doc ; then
+ ruby -Ilib -S bin/rdoc || die
+ fi
+}
+
+each_ruby_compile() {
+ # Generate the file inline here since the Rakefile confuses jruby
+ # into a circular dependency.
+ for file in lib/rdoc/rd/block_parser lib/rdoc/rd/inline_parser ; do
+ ${RUBY} -S racc -l -o ${file}.rb ${file}.ry || die
+ done
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib -S testrb test/test_*.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ for bin in rdoc ri; do
+ ruby_fakegem_binwrapper $bin /usr/bin/$bin-2
+
+ for version in 19 20 21; do
+ if use ruby_targets_ruby${version}; then
+ ruby_fakegem_binwrapper $bin /usr/bin/${bin}${version}
+ sed -i -e "1s/env ruby/ruby${version}/" \
+ "${ED}/usr/bin/${bin}${version}" || die
+ fi
+ done
+ done
+}
diff --git a/dev-ruby/rdoc/rdoc-4.1.2-r1.ebuild b/dev-ruby/rdoc/rdoc-4.1.2-r1.ebuild
new file mode 100644
index 00000000000..195250a549b
--- /dev/null
+++ b/dev-ruby/rdoc/rdoc-4.1.2-r1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc RI.rdoc TODO.rdoc"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem eutils
+
+DESCRIPTION="An extended version of the RDoc library from Ruby 1.8"
+HOMEPAGE="https://github.com/rdoc/rdoc/"
+
+LICENSE="Ruby MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "
+ dev-ruby/racc
+ test? (
+ >=dev-ruby/minitest-4:0
+ )"
+
+ruby_add_rdepend "=dev-ruby/json-1* >=dev-ruby/json-1.4"
+
+all_ruby_prepare() {
+ # Other packages also have use for a nonexistent directory, bug 321059
+ sed -i -e 's#/nonexistent#/nonexistent_rdoc_tests#g' test/test_rdoc*.rb || die
+
+ # Remove unavailable and unneeded isolate plugin for Hoe
+ sed -i -e '/isolate/d' Rakefile || die
+
+ # Remove licenses line from Hoe definitions so we also use older versions.
+ sed -i -e '/licenses/ s:^:#:' Rakefile || die
+
+ epatch "${FILESDIR}/${PN}-3.0.1-bin-require.patch"
+
+ # Remove test that is depending on the locale, which we can't garantuee.
+ sed -i -e '/def test_encode_with/,/^ end/ s:^:#:' test/test_rdoc_options.rb || die
+
+ # Remove test depending on FEATURES=userpriv, bug 361959
+ sed -i -e '/def test_check_files/,/^ end/ s:^:#:' test/test_rdoc_options.rb || die
+
+ # Make sure we get the expected version of minitest.
+ echo 'gem "minitest", "~> 4.0"' > test/test_0000.rb || die
+
+ # Avoid one test failing on ruby22 since that is the only thing
+ # holding up adding it to the tree.
+ sed -i -e '/test_parse_entries_bad_time/,/^ end/ s:^:#:' test/test_rdoc_parser_changelog.rb || die
+}
+
+all_ruby_compile() {
+ all_fakegem_compile
+
+ if use doc ; then
+ ruby -Ilib -S bin/rdoc || die
+ fi
+}
+
+each_ruby_compile() {
+ # Generate the file inline here since the Rakefile confuses jruby
+ # into a circular dependency.
+ for file in lib/rdoc/rd/block_parser lib/rdoc/rd/inline_parser ; do
+ ${RUBY} -S racc -l -o ${file}.rb ${file}.ry || die
+ done
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib -S testrb test/test_*.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ for bin in rdoc ri; do
+ ruby_fakegem_binwrapper $bin /usr/bin/$bin-2
+
+ for version in 19 20 21 22; do
+ if use ruby_targets_ruby${version}; then
+ ruby_fakegem_binwrapper $bin /usr/bin/${bin}${version}
+ sed -i -e "1s/env ruby/ruby${version}/" \
+ "${ED}/usr/bin/${bin}${version}" || die
+ fi
+ done
+ done
+}
diff --git a/dev-ruby/rdoc/rdoc-4.1.2.ebuild b/dev-ruby/rdoc/rdoc-4.1.2.ebuild
new file mode 100644
index 00000000000..e09e24fb8f7
--- /dev/null
+++ b/dev-ruby/rdoc/rdoc-4.1.2.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc RI.rdoc TODO.rdoc"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem eutils
+
+DESCRIPTION="An extended version of the RDoc library from Ruby 1.8"
+HOMEPAGE="https://github.com/rdoc/rdoc/"
+
+LICENSE="Ruby MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "
+ dev-ruby/racc
+ test? (
+ >=dev-ruby/minitest-4:0
+ )"
+
+ruby_add_rdepend "=dev-ruby/json-1* >=dev-ruby/json-1.4"
+
+all_ruby_prepare() {
+ # Other packages also have use for a nonexistent directory, bug 321059
+ sed -i -e 's#/nonexistent#/nonexistent_rdoc_tests#g' test/test_rdoc*.rb || die
+
+ # Remove unavailable and unneeded isolate plugin for Hoe
+ sed -i -e '/isolate/d' Rakefile || die
+
+ # Remove licenses line from Hoe definitions so we also use older versions.
+ sed -i -e '/licenses/ s:^:#:' Rakefile || die
+
+ epatch "${FILESDIR}/${PN}-3.0.1-bin-require.patch"
+
+ # Remove test that is depending on the locale, which we can't garantuee.
+ sed -i -e '/def test_encode_with/,/^ end/ s:^:#:' test/test_rdoc_options.rb || die
+
+ # Remove test depending on FEATURES=userpriv, bug 361959
+ sed -i -e '/def test_check_files/,/^ end/ s:^:#:' test/test_rdoc_options.rb || die
+
+ # Avoid the generate rule since it doesn't work on jruby, see below.
+ sed -i -e '/:generate/d' Rakefile || die
+
+ # Make sure we get the expected version of minitest.
+ echo 'gem "minitest", "~> 4.0"' > test/test_0000.rb || die
+
+ # Avoid one test failing on ruby22 since that is the only thing
+ # holding up adding it to the tree.
+ sed -i -e '/test_parse_entries_bad_time/,/^ end/ s:^:#:' test/test_rdoc_parser_changelog.rb || die
+}
+
+all_ruby_compile() {
+ all_fakegem_compile
+
+ if use doc ; then
+ ruby -Ilib -S bin/rdoc || die
+ fi
+}
+
+each_ruby_compile() {
+ # Generate the file inline here since the Rakefile confuses jruby
+ # into a circular dependency.
+ for file in lib/rdoc/rd/block_parser lib/rdoc/rd/inline_parser ; do
+ ${RUBY} -S racc -l -o ${file}.rb ${file}.ry || die
+ done
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib -S testrb test/test_*.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ for bin in rdoc ri; do
+ ruby_fakegem_binwrapper $bin /usr/bin/$bin-2
+
+ for version in 19 20 21; do
+ if use ruby_targets_ruby${version}; then
+ ruby_fakegem_binwrapper $bin /usr/bin/${bin}${version}
+ sed -i -e "1s/env ruby/ruby${version}/" \
+ "${ED}/usr/bin/${bin}${version}" || die
+ fi
+ done
+ done
+}